Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationCluster

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationCluster

extends java.rmi.Remote

This interface defines methods to get the cluster setting of a sever remotely.

Method Summary
`java.lang.String` | `getClusterAdminHost()` Deprecated.
`java.lang.String` | `getClusterAdminRMIPort()` Deprecated.
`int` | `getClusterMemeberID()` Returns the cluster member ID
`java.lang.String` | `getClusterName()` Returns the cluster name.
`java.lang.String` | `getClusterResourceRoot()` Returns the cluster resource root.
`int` | `getClusterSchedulerLeaseActiveCount()` Returns the active lease scheduler number in the cluster when cluster scheduler lease is enabled.
`long` | `getClusterSchedulerLeaseValidTime()` Returns the time for when the node will hold the lease before releasing it after a node gets a lease.
`long` | `getClusterShedulerLeaseCheckInterval()` Returns the interval time for when the cluster checks if a lease is valid.
`int` | `getClusterStorageCrdResultCopies()` Returns the copies of file/folder added under the cached CRD result folder in the cluster.
`int` | `getClusterStorageHistoryCopies()` Returns the copies of file/folder added under the history folder in the cluster.
`int` | `getClusterStorageRealmCopies()` Returns the copies of file/folder added under the realm folder in the cluster.
`java.lang.String` | `getShareHistoryDirectory()` Returns the cluster share history directory.
`int` | `getShareMemoryNodeNumber()` Returns the number of nodes to share memory in the cluster.
`java.lang.String` | `getSharePropertyDirectory()` Returns the cluster share property directory.
`java.lang.String` | `getShareRealmDirectory()` Deprecated.
`java.lang.String` | `getShareTempDirectory()` Returns the cluster share temp directory.
`boolean` | `hasClusterLicense()` Checks whether there is the cluster license.
`boolean` | `isClusterAdminServer()` Deprecated.
`boolean` | `isClusterBackupServer()` Deprecated.
`boolean` | `isClusterEnabled()` Returns if the cluster is enabled.
`boolean` | `isClusterSchedulerLeaseEnabled()` Returns whether to enable lease for distributed scheduler.
`void` | `loadProperties()` Sets the properties of the server.
`void` | `setClusterAdminHost(java.lang.String adminPort)` Deprecated.
`void` | `setClusterAdminRMIPort(java.lang.String adminRMIPort)` Deprecated.
`void` | `setClusterAdminServer(boolean isCluster)` Deprecated.
`void` | `setClusterBackupServer(boolean isBack)` Deprecated.
`boolean` | `setClusterEnabled(boolean isEnabled)` Sets whether to enable the cluster.
`void` | `setClusterMemberID(int memberId)` Sets the cluster member ID.
`void` | `setClusterName(java.lang.String clusterName)` Sets the cluster name.
`void` | `setClusterResourceRoot(java.lang.String dir)` Sets the cluster resource root.
`void` | `setClusterSchedulerLeaseActiveCount(int number)` Sets the active lease number in the cluster when cluster scheduler lease is enabled.
`void` | `setClusterSchedulerLeaseCheckInterval(long intervalTime)` Sets the interval time for when the cluster checks if a lease is valid.
`void` | `setClusterSchedulerLeaseEnabled(boolean isEnabled)` Sets whether to enable lease for distribute scheduler.
`void` | `setClusterSchedulerLeaseValidTime(long leaseTime)` Sets the time for when the node will hold the lease before releasing it after a node gets a lease.
`void` | `setClusterStorageCrdResultCopies(int copies)` Sets the copies of file/folder added under the cache CRD result folder in the cluster.
`void` | `setClusterStorageHistoryCopies(int copies)` Sets the copies of file/folder added under the history folder in the cluster.
`void` | `setClusterStorageRealmCopies(int copies)` Sets the copies of file/folder added under the realm folder in the cluster.
`void` | `setShareHistoryDirectory(java.lang.String dir)` Sets the cluster share history directory.
`void` | `setShareMemoryNodeNumber(int shareNum)` Sets the number of nodes to share memory in the cluster.
`void` | `setSharePropertyDirectory(java.lang.String dir)` Sets the cluster share property directory.
`void` | `setShareRealmDirectory(java.lang.String dir)` Sets the cluster share realm directory.
`void` | `setShareTempDirectory(java.lang.String dir)` Sets the cluster share temp directory.

Method Detail

### isClusterAdminServer

    boolean isClusterAdminServer()
                                 throws java.rmi.RemoteException

  Deprecated.

  Returns whether to provide cluster admin server.

  Returns:
    boolean whether to provide cluster admin server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterAdminServer

    void setClusterAdminServer(boolean isCluster)
                               throws java.rmi.RemoteException

  Deprecated.

  Sets whether to Provide cluster admin server.

  Parameters:
    `isCluster` - Provide cluster admin server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### isClusterBackupServer

    boolean isClusterBackupServer()
                                  throws java.rmi.RemoteException

  Deprecated.

  Returns whether to provide cluster back server.

  Returns:
    boolean whether to provide cluster back server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterBackupServer

    void setClusterBackupServer(boolean isBack)
                                throws java.rmi.RemoteException

  Deprecated.

  Sets whether to Provide cluster back server.

  Parameters:
    `isBack` - provide cluster back server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterAdminHost

    java.lang.String getClusterAdminHost()
                                         throws java.rmi.RemoteException

  Deprecated.

  Returns the cluster admin server host address.

  Returns:
    string which is the cluster admin server host address.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterAdminHost

    void setClusterAdminHost(java.lang.String adminPort)
                             throws java.rmi.RemoteException

  Deprecated.

  Sets the cluster admin server host address.

  Parameters:
    `adminPort` - the cluster admin server host address.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterAdminRMIPort

    java.lang.String getClusterAdminRMIPort()
                                            throws java.rmi.RemoteException

  Deprecated.

  Returns the cluster admin RMI port.

  Returns:
    string which is the cluster admin RMI port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterAdminRMIPort

    void setClusterAdminRMIPort(java.lang.String adminRMIPort)
                                throws java.rmi.RemoteException

  Deprecated.

  Sets the cluster admin RMI port.

  Parameters:
    `adminRMIPort` - the cluster admin RMI port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getSharePropertyDirectory

    java.lang.String getSharePropertyDirectory()
                                               throws java.rmi.RemoteException

  Returns the cluster share property directory.

  Returns:
    string which is the cluster share property directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getShareRealmDirectory

    java.lang.String getShareRealmDirectory()
                                            throws java.rmi.RemoteException

  Deprecated.

  Returns the cluster share realm directory.

  Returns:
    string which is the cluster share realm directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterResourceRoot

    java.lang.String getClusterResourceRoot()
                                            throws java.rmi.RemoteException

  Returns the cluster resource root.

  Returns:
    string which is the cluster resource root.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getShareTempDirectory

    java.lang.String getShareTempDirectory()
                                           throws java.rmi.RemoteException

  Returns the cluster share temp directory.

  Returns:
    string which is the cluster share temp directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getShareHistoryDirectory

    java.lang.String getShareHistoryDirectory()
                                              throws java.rmi.RemoteException

  Returns the cluster share history directory.

  Returns:
    string which is the cluster share history directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setSharePropertyDirectory

    void setSharePropertyDirectory(java.lang.String dir)
                                   throws java.rmi.RemoteException

  Sets the cluster share property directory.

  Parameters:
    `dirt` - the cluster share property directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setShareRealmDirectory

    void setShareRealmDirectory(java.lang.String dir)
                                throws java.rmi.RemoteException

  Sets the cluster share realm directory.

  Parameters:
    `dirt` - the cluster share realm directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterResourceRoot

    void setClusterResourceRoot(java.lang.String dir)
                                throws java.rmi.RemoteException

  Sets the cluster resource root.

  Parameters:
    `dirt` - the cluster resource root.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setShareTempDirectory

    void setShareTempDirectory(java.lang.String dir)
                               throws java.rmi.RemoteException

  Sets the cluster share temp directory.

  Parameters:
    `dirt` - the cluster share temp directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setShareHistoryDirectory

    void setShareHistoryDirectory(java.lang.String dir)
                                  throws java.rmi.RemoteException

  Sets the cluster share history directory.

  Parameters:
    `dirt` - the cluster share history directory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  Sets the properties of the server.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### isClusterEnabled

    boolean isClusterEnabled()
                             throws java.rmi.RemoteException

  Returns if the cluster is enabled.

  Returns:
    return true if the cluster is enabled, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterEnabled

    boolean setClusterEnabled(boolean isEnabled)
                              throws java.rmi.RemoteException

  Sets whether to enable the cluster.

  Parameters:
    `isEnabled` - if true it means to enable the cluster, if false it means to disable the cluster
  Returns:
    return true if successfully changed the setting of enabling the cluster, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### hasClusterLicense

    boolean hasClusterLicense()
                              throws java.rmi.RemoteException

  Checks whether there is the cluster license.

  Returns:
    return true if the server key enables clustering, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterStorageHistoryCopies

    int getClusterStorageHistoryCopies()
                                       throws java.rmi.RemoteException

  Returns the copies of file/folder added under the history folder in the cluster.

  Returns:
    the copies of file/folder added under the history folder in the cluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterStorageHistoryCopies

    void setClusterStorageHistoryCopies(int copies)
                                        throws java.rmi.RemoteException

  Sets the copies of file/folder added under the history folder in the cluster.

  Parameters:
    `copies` - the backup number of file/folder under the history folder in the cluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterStorageRealmCopies

    int getClusterStorageRealmCopies()
                                     throws java.rmi.RemoteException

  Returns the copies of file/folder added under the realm folder in the cluster.

  Returns:
    the copies of file/folder added under the realm folder in the cluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterStorageRealmCopies

    void setClusterStorageRealmCopies(int copies)
                                      throws java.rmi.RemoteException

  Sets the copies of file/folder added under the realm folder in the cluster.

  Parameters:
    `copies` - the backup number of file/folder under the realm folder in the cluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterStorageCrdResultCopies

    int getClusterStorageCrdResultCopies()
                                         throws java.rmi.RemoteException

  Returns the copies of file/folder added under the cached CRD result folder in the cluster.

  Returns:
    the Return the copies of file/folder added under the cached CRD result folder in the cluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterStorageCrdResultCopies

    void setClusterStorageCrdResultCopies(int copies)
                                          throws java.rmi.RemoteException

  Sets the copies of file/folder added under the cache CRD result folder in the cluster.

  Parameters:
    `copies` - the backup number of file/folder under the cached CRD result folder in the cluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### isClusterSchedulerLeaseEnabled

    boolean isClusterSchedulerLeaseEnabled()
                                           throws java.rmi.RemoteException

  Returns whether to enable lease for distributed scheduler.

  Returns:
    true if lease for distributed scheduler is enabled, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterSchedulerLeaseEnabled

    void setClusterSchedulerLeaseEnabled(boolean isEnabled)
                                         throws java.rmi.RemoteException

  Sets whether to enable lease for distribute scheduler.

  Parameters:
    `isEnabled` - if true it means to enable lease, otherwise disable lease
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterSchedulerLeaseActiveCount

    int getClusterSchedulerLeaseActiveCount()
                                            throws java.rmi.RemoteException

  Returns the active lease scheduler number in the cluster when cluster scheduler lease is enabled.

  Returns:
    the active lease scheduler number
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterSchedulerLeaseActiveCount

    void setClusterSchedulerLeaseActiveCount(int number)
                                             throws java.rmi.RemoteException

  Sets the active lease number in the cluster when cluster scheduler lease is enabled.

  Parameters:
    `number` - the number of the active scheduler lease in the cluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterSchedulerLeaseValidTime

    long getClusterSchedulerLeaseValidTime()
                                           throws java.rmi.RemoteException

  Returns the time for when the node will hold the lease before releasing it after a node gets a lease.

  Returns:
    the scheduler valid lease time
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterSchedulerLeaseValidTime

    void setClusterSchedulerLeaseValidTime(long leaseTime)
                                           throws java.rmi.RemoteException

  Sets the time for when the node will hold the lease before releasing it after a node gets a lease.

  Parameters:
    `leaseTime` - the lease valid time
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterShedulerLeaseCheckInterval

    long getClusterShedulerLeaseCheckInterval()
                                              throws java.rmi.RemoteException

  Returns the interval time for when the cluster checks if a lease is valid.

  Returns:
    the interval time for when the cluster checks if a lease is valid
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterSchedulerLeaseCheckInterval

    void setClusterSchedulerLeaseCheckInterval(long intervalTime)
                                               throws java.rmi.RemoteException

  Sets the interval time for when the cluster checks if a lease is valid.

  Parameters:
    `intervalTime` - the interval time for when the cluster checks if any lease is still valid
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterName

    java.lang.String getClusterName()
                                    throws java.rmi.RemoteException

  Returns the cluster name.

  Returns:
    the cluster name
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterName

    void setClusterName(java.lang.String clusterName)
                        throws java.rmi.RemoteException

  Sets the cluster name.

  Parameters:
    `clusterName` - the cluster name to be set
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getClusterMemeberID

    int getClusterMemeberID()
                            throws java.rmi.RemoteException

  Returns the cluster member ID

  Returns:
    the cluster member id
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setClusterMemberID

    void setClusterMemberID(int memberId)
                            throws java.rmi.RemoteException

  Sets the cluster member ID.

  Parameters:
    `memberId` - the cluster member id to be set
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setShareMemoryNodeNumber

    void setShareMemoryNodeNumber(int shareNum)
                                  throws java.rmi.RemoteException

  Sets the number of nodes to share memory in the cluster. There are N nodes in the cluster, M nodes hold memory objects in the cluster, M<=N, M-N nodes will connect one node in M to get required memory objects.

  Parameters:
    `shareNum` - the number of nodes to share memory in the cluster.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getShareMemoryNodeNumber

    int getShareMemoryNodeNumber()
                                 throws java.rmi.RemoteException

  Returns the number of nodes to share memory in the cluster. There are N nodes in the cluster, M nodes hold memory objects in the cluster, M<=N, M-N nodes will connect one node in M to get required memory objects.

  Returns:
    the number of nodes to share memory in the cluster.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD